
%if ! 0%{?bootstrap}
%if 0%{?fedora} > 21
%define plasma5 1
%endif
%endif

Name:    baloo
Summary: A framework for searching and managing metadata
Version: 4.14.3
Release: 5%{?dist}

License: GPLv2 and LGPLv2
URL:     https://projects.kde.org/projects/kde/workspace/baloo
#URL:    https://community.kde.org/Baloo

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

%if 0%{?fedora} > 17 || 0%{?rhel} > 6
%define sysctl 1
%endif
Source1: 97-kde-baloo-filewatch-inotify.conf

## upstream patches

BuildRequires: doxygen
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: kdepimlibs-devel >= %{version}
BuildRequires: kfilemetadata-devel >= %{version}
BuildRequires: pkgconfig(akonadi) >= 1.12.1
BuildRequires: pkgconfig(QJson)
# for %%{_polkit_qt_policydir} macro
BuildRequires: polkit-qt-devel
BuildRequires: xapian-core-devel

# kio_tags/kio_timeline moved here from kde-runtime
Conflicts: kde-runtime < 4.12.90

Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kdelibs4%{?_isa}%{?_kde4_version: >= %{_kde4_version}}

%description
%{summary}.

%package file
Summary: File indexing and search for %{name}
# upgrade path, when split occurred
Obsoletes: baloo < 4.13.0-3
Obsoletes: nepomuk-core < 4.13.0-2
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
# for kcm.  since this is split out, we can afford to add this dep
# and not worry about circular dependencies
Requires: kde-runtime
%description file
%{summary}.

%package devel
Summary:  Developer files for %{name}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel
%description devel
%{summary}.

%package libs
Summary:  Runtime libraries for %{name}
Requires: kdelibs4%{?_isa} >= %{version}
Requires: %{name} >= %{version}-%{release}
%description libs
%{summary}.

%package akonadi
Summary: Baloo indexer and search plugin for Akonadi
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
# Upgrade path
Obsoletes: %{name} < 4.14.0-3
%description akonadi
%{summary}.

%prep
%setup -q


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%if 0%{?plasma5}
## unpackaged files
rm -fv %{buildroot}%{_sysconfdir}/dbus-1/system.d/org.kde.baloo.filewatch.conf
rm -fv %{buildroot}%{_datadir}/dbus-1/system-services/org.kde.baloo.filewatch.service
rm -fv %{buildroot}%{_datadir}/dbus-1/interfaces/org.kde.baloo.file.indexer.xml
rm -fv %{buildroot}%{_kde4_bindir}/baloo*
rm -fv %{buildroot}%{_kde4_iconsdir}/hicolor/*/apps/baloo.*
rm -fv %{buildroot}%{_kde4_datadir}/autostart/baloo_file.desktop
rm -fv %{buildroot}%{_kde4_libdir}/kde4/{baloo_filesearchstore,kcm_baloofile}.so
rm -fv %{buildroot}%{_kde4_libexecdir}/kde_baloo_filewatch_raiselimit
rm -fv %{buildroot}%{_kde4_datadir}/kde4/services/{baloo_filesearchstore,kcm_baloofile}.desktop
rm -fv %{buildroot}%{_polkit_qt_policydir}/org.kde.baloo.filewatch.policy
%else
%if 0%{?sysctl}
install -p -m644 -D %{SOURCE1} %{buildroot}%{_prefix}/lib/sysctl.d/97-kde-baloo-filewatch-inotify.conf
install -p -m644 -D %{SOURCE1} %{buildroot}%{_sysconfdir}/sysctl.d/97-kde-baloo-filewatch-inotify.conf
%else
install -p -m644    %{SOURCE1} ./97-kde-baloo-filewatch-inotify.conf
%endif
%endif


%if ! 0%{?plasma5}
%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%files
%doc COPYING COPYING.LIB
%{_kde4_bindir}/balooctl
%{_kde4_bindir}/baloosearch
%{_kde4_bindir}/balooshow
%{_kde4_iconsdir}/hicolor/*/apps/baloo.*

%post file
if [ -f "%{_sysconfdir}/sysctl.d/97-kde-nepomuk-filewatch-inotify.conf" ]; then
  mv -f "%{_sysconfdir}/sysctl.d/97-kde-nepomuk-filewatch-inotify.conf" && \
        "%{_sysconfdir}/sysctl.d/97-kde-nepomuk-filewatch-inotify.conf.rpmsave"
fi

%files file
%if 0%{?sysctl}
%ghost %config(missingok,noreplace) %{_sysconfdir}/sysctl.d/97-kde-baloo-filewatch-inotify.conf
%{_prefix}/lib/sysctl.d/97-kde-baloo-filewatch-inotify.conf
%else
%doc 97-kde-baloo-filewatch-inotify.conf
%endif
%{_kde4_datadir}/autostart/baloo_file.desktop
%{_kde4_bindir}/baloo_file
%{_kde4_bindir}/baloo_file_cleaner
%{_kde4_bindir}/baloo_file_extractor
%{_datadir}/dbus-1/interfaces/org.kde.baloo.file.indexer.xml
%{_kde4_libexecdir}/kde_baloo_filewatch_raiselimit
%{_sysconfdir}/dbus-1/system.d/org.kde.baloo.filewatch.conf
%{_datadir}/dbus-1/system-services/org.kde.baloo.filewatch.service
%{_polkit_qt_policydir}/org.kde.baloo.filewatch.policy
%{_kde4_libdir}/kde4/baloo_filesearchstore.so
%{_kde4_datadir}/kde4/services/baloo_filesearchstore.desktop
%{_kde4_datadir}/kde4/services/kcm_baloofile.desktop
%{_kde4_libdir}/kde4/kcm_baloofile.so
%endif

%files akonadi
%{_kde4_bindir}/akonadi_baloo_indexer
%{_kde4_datadir}/akonadi/agents/akonadibalooindexingagent.desktop
%{_kde4_libdir}/kde4/akonadi/akonadi_baloo_searchplugin.so
%{_kde4_libdir}/kde4/akonadi/akonadibaloosearchplugin.desktop

%files devel
%{_kde4_includedir}/baloo/
%{_kde4_libdir}/libbaloocore.so
%{_kde4_libdir}/libbaloofiles.so
%{_kde4_libdir}/libbaloopim.so
%{_kde4_libdir}/libbalooqueryparser.so
%{_kde4_libdir}/libbalooxapian.so
%{_kde4_libdir}/cmake/Baloo/

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kde4_libdir}/libbaloocore.so.4*
%{_kde4_libdir}/libbaloofiles.so.4*
%{_kde4_libdir}/libbaloopim.so.4*
%{_kde4_libdir}/libbalooqueryparser.so.4*
%{_kde4_libdir}/libbalooxapian.so.4*
%{_kde4_datadir}/kde4/services/baloosearch.protocol
%{_kde4_datadir}/kde4/services/plasma-runner-baloosearch.desktop
%{_kde4_datadir}/kde4/services/tags.protocol
%{_kde4_datadir}/kde4/services/timeline.protocol
%{_kde4_libdir}/kde4/kio_baloosearch.so
%{_kde4_libdir}/kde4/kio_tags.so
%{_kde4_libdir}/kde4/kio_timeline.so
%{_kde4_libdir}/kde4/krunner_baloosearchrunner.so
%{_kde4_libdir}/kde4/baloo_calendarsearchstore.so
%{_kde4_libdir}/kde4/baloo_contactsearchstore.so
%{_kde4_libdir}/kde4/baloo_emailsearchstore.so
%{_kde4_libdir}/kde4/baloo_notesearchstore.so
%{_kde4_datadir}/kde4/servicetypes/baloosearchstore.desktop
%{_kde4_datadir}/kde4/services/baloo_calendarsearchstore.desktop
%{_kde4_datadir}/kde4/services/baloo_contactsearchstore.desktop
%{_kde4_datadir}/kde4/services/baloo_emailsearchstore.desktop
%{_kde4_datadir}/kde4/services/baloo_notesearchstore.desktop


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.14.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 23 2015 Rex Dieter <rdieter@fedoraproject.org> - 4.14.3-4
- update URL
- omit main (baloo) pkg on f22+ (where it is replaced by kf5-baloo)

* Thu Apr 16 2015 Rex Dieter <rdieter@fedoraproject.org> 4.14.3-3
- rebuild (gcc5)

* Sun Mar 01 2015 Rex Dieter <rdieter@fedoraproject.org> 4.14.3-2
- rebuild (gcc5)

* Sat Nov 08 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.3-1
- 4.14.3

* Sat Oct 11 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.2-1
- 4.14.2

* Mon Sep 15 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.1-1
- 4.14.1

* Tue Aug 19 2014 Daniel Vrátil <dvratil@redhat.com> - 4.14.0-4
- Fix upgrade path for -akonadi (Obosoletes baloo < 4.14.0-3)

* Mon Aug 18 2014 Daniel Vrátil <dvratil@redhat.com> - 4.14.0-3
- Improve coinstallability with kf5-baloo
- Move Akonadi indexer to -akonadi subpackage
- Move stores and plugins to -libs subpackage

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Aug 14 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.0-1
- 4.14.0

* Tue Aug 05 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.97-1
- 4.13.97

* Mon Jul 14 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.3-1
- 4.13.3

* Mon Jun 09 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.2-1
- 4.13.2

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 10 2014 Rex Dieter <rdieter@fedoraproject.org> 4.13.1-1
- 4.13.1

* Thu May 01 2014 Rex Dieter <rdieter@fedoraproject.org> 4.13.0-5
- sync upstream patches/commits (using %%autosetup)

* Wed Apr 23 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.0-4
- -file: Obsoletes: nepomuk-core (upgrade path)
- -file: %%post scriptlet to remove nepomuk inotify sysctl

* Wed Apr 23 2014 Rex Dieter <rdieter@fedoraproject.org> 4.13.0-3
- -file subpkg, port sysctl handling from nepomuk-core

* Tue Apr 15 2014 Rex Dieter <rdieter@fedoraproject.org> 4.13.0-2
- respin

* Sat Apr 12 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.0-1
- 4.13.0

* Thu Apr 03 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.97-1
- 4.12.97

* Sat Mar 22 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.95-1
- 4.12.95

* Mon Mar 17 2014 Rex Dieter <rdieter@fedoraproject.org> 4.12.90-1
- baloo-4.12.90, first try

